Skip to main content
POST
/
api
/
v1
/
transactions
/
create
# Replace YOUR_JWT_TOKEN with your actual JWT token
curl -X POST "https://staging.bitcoinflash.xyz/api/v1/transactions/create" \
  -H "Authorization: Bearer YOUR_JWT_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "amount": 10000,
    "receiver_address": "user@lightning.wallet",
    "type": "BUY_BITCOIN",
    "number": "+22912345678"
  }'
{
  "success": true,
  "transaction": {
    "id": "a05f6d71-f31b-45b0-9de1-f25e964ed9cd",
    "type": "BUY_BITCOIN",
    "amount": 10000,
    "currency_code": "XOF",
    "exchange_rate": 54890457,
    "user_id": "a05385d5-9bc8-44f8-90aa-86830ccd36d2",
    "payment_id": "a05f6d78-4b18-47d6-b58f-a575a46338ec",
    "status": "PENDING",
    "reference": "TXN_691a15c0633f467ED6293B2",
    "receiver_address": "user@lightning.wallet",
    "payout_id": null,
    "payment_url": "https://pay.fedapay.com/invoice/pay_12345abcde",
    "created_at": "2025-11-16T18:19:45.000000Z"
  },
  "provider": "MTN_OPEN",
  "invoice": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.bitcoinflash.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Request Body

amount
number
required
Transaction amount in XOF. Example: 10000
receiver_address
string
required
Bitcoin wallet address or Lightning address. Example: user@lightning.wallet
type
string
required
Transaction type. One of: BUY_BITCOIN, SELL_BITCOIN
number
string
Mobile money phone number (required for mobile money payments). Example: +22912345678

Response

success
boolean
true on successful creation.
transaction
object
Full transaction details.
provider
string
Payment provider used. Example: MTN_OPEN
invoice
string
Lightning invoice or payment URL (if applicable).
# Replace YOUR_JWT_TOKEN with your actual JWT token
curl -X POST "https://staging.bitcoinflash.xyz/api/v1/transactions/create" \
  -H "Authorization: Bearer YOUR_JWT_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "amount": 10000,
    "receiver_address": "user@lightning.wallet",
    "type": "BUY_BITCOIN",
    "number": "+22912345678"
  }'
{
  "success": true,
  "transaction": {
    "id": "a05f6d71-f31b-45b0-9de1-f25e964ed9cd",
    "type": "BUY_BITCOIN",
    "amount": 10000,
    "currency_code": "XOF",
    "exchange_rate": 54890457,
    "user_id": "a05385d5-9bc8-44f8-90aa-86830ccd36d2",
    "payment_id": "a05f6d78-4b18-47d6-b58f-a575a46338ec",
    "status": "PENDING",
    "reference": "TXN_691a15c0633f467ED6293B2",
    "receiver_address": "user@lightning.wallet",
    "payout_id": null,
    "payment_url": "https://pay.fedapay.com/invoice/pay_12345abcde",
    "created_at": "2025-11-16T18:19:45.000000Z"
  },
  "provider": "MTN_OPEN",
  "invoice": null
}